The tag has no usage guidance.

learn more… | top users | synonyms

1
vote
1answer
8k views

X11 Development Libraries [closed]

I am new to ubuntu, I am using ubuntu 13.10, and trying to install NS-2. During the installation I am facing the following error; X11/Xlib.h: No such file or directory Then i tried to install ...
2
votes
0answers
1k views

Undefined reference to `memcpy@GLIBC_2.14' : Building Android SDK with SmartCard API support:

I am trying to build Android emulator with SmartCard API support. I was following this manuals: one two All steps passed ok, but when I run: PCSC_INCPATH=<path_to_pcsc-lite_32bit>/src/PCSC/ ...
3
votes
1answer
2k views

Cannot mix incompatible Qt library (version 0x40804) with this library (version 0x40801) Aborted core dumped

... Cannot mix incompatible Qt library (version 0x40804) with this library (version 0x40801) Aborted core dumped The Problem occurs with 64-Bit Ubuntu 13.04 when starting k3b, ebook-viewer ..., ...
1
vote
0answers
2k views

gcc problem -> stdio.h not found

I have to compile one programme. theoretically i need just to change the two path... can you help me? Makefile # Original #CC=arm-1136jf_s_r1_vfp_hard_float-linux-gnueabi-gcc #CFLAGS= -O3 -...
0
votes
1answer
378 views

ld error while linking to SDL2

i'm struggling in the attept to compile c++ with SDL2. I've done as always: checkout the code (both from mercurial and libsdl.org) ./configure, make, sudo make install But it keeps to say: /usr/...
3
votes
1answer
70 views

Creating a library for Ubuntu touch

I am a software developer that usually deals with Windows products (C#) and Android products (Java) and they both have a relatively easy was to write and use libraries across projects, C# having .dll'...
0
votes
1answer
38 views

Newest version of a library

newbie here: how does it work, if Ubuntu currently features a certain version of a library but there is already a newer version of it at developer's site, do I have to wait for the next major release ...
25
votes
3answers
95k views

Ubuntu 64 bit Machinarium: error while loading shared libraries: libgtk-x11-2.0.so.0 [closed]

I just downloaded Ubuntu 13.10 final beta 64 bit and every program that I use work flawlessly with the exception of "Machinarium" a very cool flash game. The game doesn't have a .deb package and I ...
0
votes
1answer
122 views

how can I get /usr/lib32 on my 32-bit ubuntu?

how can I get /usr/lib32 on my 32-bit ubuntu ? This file is missing on my system.
0
votes
1answer
786 views

How to create a datagrid in GTK without GTK Sharp?

I would like to write a GTK program with a datagrid. However GTK Sharp is for the .NET Framework. Is there any non-.NET library or framework with a datagrid that I can use?
0
votes
1answer
1k views

Install boost version 1.40 from terminal

I am using a server running with Ubuntu 12.04 I want to install the boost libraries in it. I know sudo apt-get install libboost-all-dev will make the work done, but it installs the latest version ...
9
votes
1answer
17k views

Where does Ubuntu look for shared libraries?

When I run a process that links to a shared library at runtime (linked when the process starts, not linked later with dlload()), where does it look for that shared library (.so) file other than ...
1
vote
0answers
335 views

blender does not start after kernel update despite reinstall

Hi I recently updated my ubuntu 12.04.3 installation with the new kernel 3.8.0.30 After that blender did not start any more with the message that: /usr/lib/blender/blender: error while loading shared ...
4
votes
2answers
6k views

How do I install the latest development libraries of FFmpeg in my ubuntu?

I am about to install FFmpeg 2.0.1 (the latest version) in my Ubuntu. I already have the older dev libraries installed in my system. In the previous installation, I didn't build them from source. I ...
19
votes
2answers
41k views

What is the general procedure to install development libraries in Ubuntu?

I am having a pretty tough time installing the latest development libraries of SDL in my Ubuntu 12.04. Last year, I somehow managed to install libsdl 1.2-dev for Ubuntu. As far as I remember, I did it ...
0
votes
1answer
263 views

Libgmp3 not present

I need libgmp.so.3 to install GHC. However, installing libgmp-dev only installs libgmp.so and libgmpxx.so according to the installed files list. I have seen elsewhere people using symlinks, but this ...
1
vote
1answer
2k views

Unable to install CBLAS on Ubuntu (x-post from StackOverflow)

I am trying to install CBLAS on Ubuntu, and am, as far as I can see, following the instructions in the README file that came in the folder. When I do a 'make all', I get the following errors that I ...
0
votes
2answers
6k views

How to install Git in Lubuntu (APT is “Unable to locate package libcur14-gnutls-dev”)?

I've tried to install git to my laptop which runs lubuntu.I followed the pattern on git website and it says : To install Git, you need to have the following libraries that Git depends on: curl, ...
0
votes
1answer
95 views

Folder Inclusion/Streaming

Edited: When I used Windows - I used Nero Media Home Essentials 4 to stream my videos to my LG Bluray player. All I did was click "Add Share" and select my "Movies" folder - then it showed up on my ...
0
votes
1answer
596 views

WHY I am unable to install libboost-dev packages on ubuntu 12.04

I am working on OpenBTS project on my HP laptop using USRP1. To run this hardware I need to install its driver, but while doing so, it is saying libboost-dev packages are not going to install. I ...
1
vote
0answers
518 views

How do I install libXfixes.so.3 in Ubuntu 13.04 64bit?

A program reports this error: Error libXfixes.so.3: cannot open shared object file How can I resolve this? Thanks!
2
votes
1answer
545 views

Difference between installing libx:i386 and lib32x

There's a series of libs available in the Ubuntu repositories like lib32stdc++6 and lib32ncurses5. You can either install these on a 64 bit system, or go for installing libstdc++6:i386 and libncurses5:...
0
votes
1answer
864 views

Missing shared libraries when using chroot

I'm attempting to use schroot to run a 32-bit application on a 64-bit Ubuntu (actually Lubuntu) Raring installation. I was successful creating the chroot populated by the following command: sudo ...
3
votes
1answer
10k views

missing libjpeg.so.62 from ia32 shared library

I am trying to install a chemical/molecular biology modeling program called Molsoft ICM-Pro. Initially after downloading the program and trying to open, it gave me error messages that I was missing ...
1
vote
1answer
516 views

iRODS request libodbcpsql.so

I'm trying to install iRODS on my Ubuntu system. I get an error when testing databases communications. ERROR: cllConnect: SQLConnect failed: -1 ERROR: cllConnect: SQLConnect failed:odbcEntry=...
2
votes
1answer
79 views

Can I use libraries for my Ubuntu Touch app?

I have created an Ubuntu Touch app that uses .a libraries that I have written myself. Can I use those in Ubuntu Touch? If yes, where do I store them and how can I access them?
0
votes
1answer
25 views

How I can find actual using of package?

I need to find actual process or dependence on other library in running system for package by name. How I can realize it?
1
vote
2answers
1k views

Can't run program in Netbeans 7.3

I recently installed Ubuntu 12.04 and installed Netbeans 7.3 on it (not the Ubuntu version, directly from the website). I'm trying to run a basic C++ program that uses Allegro 5 but, even though it ...
2
votes
0answers
852 views

Pkg-config missing many pc files

I have been trying to compile gargoyle and keep getting the fallowing error. Package fontconfig was not found in the pkg-config search path. Perhaps you should add the directory containing `...
0
votes
1answer
530 views

aptitude dependency resolution issue when trying to install build-deps for openjdk-6

I am running into some kind of rather serious issue with resolving the dependencies if I try to install the build-deps for openjdk-6, as specified in the directions for compiling custom OpenJDK ...
0
votes
1answer
635 views

qtfm: error while loading shared libraries:

Install qtfm, on 12.04 but it would not open. Opening in a terminal yields this message: qtfm: error while loading shared libraries: libmagic.so.1: wrong ELF class: ELFCLASS64 How do I fix?
5
votes
1answer
10k views

proxychains LD_PRELOAD cannot be preloaded

Using proxychains to do apt-get update in ubuntu 12.04.2 sudo proxychains apt-get update gives following error ERROR: ld.so: object 'libproxychains.so.3' from LD_PRELOAD cannot be preloaded: ...
1
vote
2answers
5k views

problem install in boost lib

From how to install boost lib, I followed the solution but I was met with the following message: To add more information, I was trying to install the libs due to this thread I posted: python ...
2
votes
2answers
1k views

UnsatisfiedLinkError on xawt when running HEC-HMS.sh

I am a recent adopter of Linux and this problem has got me stumped. I use HEC-HMS and HEC-DSSVue for work on a regular basis. I have been using the widows versions in wine but they are really buggy. ...
5
votes
1answer
2k views

libdb4.8++ is no longer available

I'm trying to use QT-Creator to build a program and I get the message that libdb4.8++ is needed and is not available. I've tried to use libdb5.1 and libdb4.8 but it still asks for libdb4.8++ I'm ...
0
votes
1answer
2k views

Where are flex libraries located?

I find myself with a very weird problem in my hands. I wanted to install both flex (the fast lexical analyzer) and bison, and that's why I ran: sudo apt-get install bison flex The installation goes ...
1
vote
1answer
6k views

How Install gio-unix-2.28.0

When I was installing the application (libvirt-sandbox-0.1.2) I've got this message: configure: error: Package requirements (gio-unix-2.0 >= 2.28.0) were not met: No package 'gio-unix-2.0' found ...
5
votes
1answer
347 views

Difference between apt-get compilation and manual compilation from source

I am trying to replace manually a library for freeradius. On a one hand I installed freeradius with an apt-get install. There was a library "libfoo-2.0.4.so" (let's call it the lib(apt)). On the other ...
2
votes
1answer
20k views

How to install/update libnl-1.0pre8 (or later)

I was trying to share my laptop's internet over wireless to use as wi-fi in my android phone. After googling for some time I am now stuck here: http://linuxwireless.org/en/users/Documentation/...
1
vote
1answer
345 views

Trouble installing libflann1.7-dev on ubuntu

I am trying to install libflann1.7-dev I have removed libflann1, so now I have no libflann at all. Next I ran: sudo apt-get install libflann1.7 which installed fine, I then try to install libflann1....
3
votes
0answers
815 views

ldconfig: Path `/lib/x86_64-linux-gnu' given more than once

I'm running 12.10. I'm trying to run an application that needs libglut.so.3. I installed freeglut3 and I can see the library located in /usr/lib/x86_64-linux-gnu. But when I run the application, it ...
0
votes
1answer
291 views

kubuntu - DrRacket 5.1.3 doesn't work well

I have ubuntu 12.04 with kde (latest version from ppa), I've installed DrRacket from repositories. It starts but I can't see menu, here is a picture: Do you know why? Do I miss some lib or it's a ...
1
vote
0answers
416 views

Unable to install libc6 specific dependencies

I am unable to install libc6 specific dependencies in Ubuntu 11.10. sudo apt-get -f install Reading package lists... Done Building dependency tree Reading state information... Done Correcting ...
11
votes
4answers
29k views

Where is my boost lib file?

I am using boost. I installed it using sudo apt-get install. Now I am unable to find my boost lib file on my filesystem. I want to include the path of the lib in my Qt project. grepping is taking too ...
1
vote
1answer
2k views

How to install lib1394 i386 (32bit) version on ubuntu 11.10 amd64

I have an old acquisition program for a firewire that seems to need the 32bits version of the library libraw1394.so . Some notes, about the problem: I think that the output of uname -m indicates ...
0
votes
2answers
4k views

Programming Opengl ES in Ubuntu

I want to program somthing using opengl es , i search software center for anything related and i found libgles1-mesa-dev , then i wrote a simple main program and included : #include <GLES/gl.h&...
4
votes
4answers
16k views

How do I check the version of the Selenium API installed?

I want to check the version of Selenium API I am using. I tried googling it, but couldn't find out.
1
vote
2answers
88 views

How do I update an individual package without breaking future updates?

I'm on a LTS release and want it to remain LTS. However, I have an individual package called libmlx4-1 that I need to update to version 1.04 (i.e. libmlx4-1) . This is in the Ubuntu 12.10 (quantal) ...
41
votes
8answers
64k views

Error loading libGL.so.1

When attempting to run various pieces of software (notably Steam and Yenka), I have come across an error similar to this: error while loading shared libraries: libGL.so.1: cannot open shared object ...
4
votes
1answer
200 views

What is the path of libraries (samples, docs) setted up from Software Center of Ubuntu 12.04?

I installed OpenCV and its DOC and Samples from software center but I cannot find the them at anywhere. What is the certain location for all these at Ubuntu12.04